
From: Adrian Bunk <bunk@stusta.de>

- make some needlessly global code static
- remove the unused dodgy_tsc function
- remove the stale dodgy_tsc z86_64 prototype

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/common.c  |   15 ++-------------
 25-akpm/arch/i386/kernel/cpu/cpu.h     |    1 -
 25-akpm/include/asm-i386/processor.h   |    1 -
 25-akpm/include/asm-x86_64/processor.h |    1 -
 4 files changed, 2 insertions(+), 16 deletions(-)

diff -puN arch/i386/kernel/cpu/common.c~i386-cpu-commonc-some-cleanups arch/i386/kernel/cpu/common.c
--- 25/arch/i386/kernel/cpu/common.c~i386-cpu-commonc-some-cleanups	2005-01-16 00:31:12.209823216 -0800
+++ 25-akpm/arch/i386/kernel/cpu/common.c	2005-01-16 00:31:12.218821848 -0800
@@ -199,7 +199,7 @@ static inline int flag_is_changeable_p(u
 
 
 /* Probe for the CPUID instruction */
-int __init have_cpuid_p(void)
+static int __init have_cpuid_p(void)
 {
 	return flag_is_changeable_p(X86_EFLAGS_ID);
 }
@@ -207,7 +207,7 @@ int __init have_cpuid_p(void)
 /* Do minimum CPU detection early.
    Fields really needed: vendor, cpuid_level, family, model, mask, cache alignment.
    The others are not touched to avoid unwanted side effects. */
-void __init early_cpu_detect(void)
+static void __init early_cpu_detect(void)
 {
 	struct cpuinfo_x86 *c = &boot_cpu_data;
 
@@ -426,16 +426,6 @@ void __init identify_cpu(struct cpuinfo_
 	mcheck_init(c);
 #endif
 }
-/*
- *	Perform early boot up checks for a valid TSC. See arch/i386/kernel/time.c
- */
- 
-void __init dodgy_tsc(void)
-{
-	if (( boot_cpu_data.x86_vendor == X86_VENDOR_CYRIX ) ||
-	    ( boot_cpu_data.x86_vendor == X86_VENDOR_NSC   ))
-		cpu_devs[X86_VENDOR_CYRIX]->c_init(&boot_cpu_data);
-}
 
 #ifdef CONFIG_X86_HT
 void __init detect_ht(struct cpuinfo_x86 *c)
@@ -523,7 +513,6 @@ extern int transmeta_init_cpu(void);
 extern int rise_init_cpu(void);
 extern int nexgen_init_cpu(void);
 extern int umc_init_cpu(void);
-void early_cpu_detect(void);
 
 void __init early_cpu_init(void)
 {
diff -puN arch/i386/kernel/cpu/cpu.h~i386-cpu-commonc-some-cleanups arch/i386/kernel/cpu/cpu.h
--- 25/arch/i386/kernel/cpu/cpu.h~i386-cpu-commonc-some-cleanups	2005-01-16 00:31:12.210823064 -0800
+++ 25-akpm/arch/i386/kernel/cpu/cpu.h	2005-01-16 00:31:12.219821696 -0800
@@ -25,7 +25,6 @@ extern int get_model_name(struct cpuinfo
 extern void display_cacheinfo(struct cpuinfo_x86 *c);
 
 extern void generic_identify(struct cpuinfo_x86 * c);
-extern int have_cpuid_p(void);
 
 extern void early_intel_workaround(struct cpuinfo_x86 *c);
 
diff -puN include/asm-i386/processor.h~i386-cpu-commonc-some-cleanups include/asm-i386/processor.h
--- 25/include/asm-i386/processor.h~i386-cpu-commonc-some-cleanups	2005-01-16 00:31:12.212822760 -0800
+++ 25-akpm/include/asm-i386/processor.h	2005-01-16 00:31:12.219821696 -0800
@@ -103,7 +103,6 @@ extern char ignore_fpu_irq;
 extern void identify_cpu(struct cpuinfo_x86 *);
 extern void print_cpu_info(struct cpuinfo_x86 *);
 extern unsigned int init_intel_cacheinfo(struct cpuinfo_x86 *c);
-extern void dodgy_tsc(void);
 
 #ifdef CONFIG_X86_HT
 extern void detect_ht(struct cpuinfo_x86 *c);
diff -puN include/asm-x86_64/processor.h~i386-cpu-commonc-some-cleanups include/asm-x86_64/processor.h
--- 25/include/asm-x86_64/processor.h~i386-cpu-commonc-some-cleanups	2005-01-16 00:31:12.213822608 -0800
+++ 25-akpm/include/asm-x86_64/processor.h	2005-01-16 00:31:12.220821544 -0800
@@ -91,7 +91,6 @@ extern char ignore_irq13;
 extern void identify_cpu(struct cpuinfo_x86 *);
 extern void print_cpu_info(struct cpuinfo_x86 *);
 extern unsigned int init_intel_cacheinfo(struct cpuinfo_x86 *c);
-extern void dodgy_tsc(void);
 
 /*
  * EFLAGS bits
_
